Subject: Re: [PATCH/RFC] autocrlf: Make it work also for un-normalized repositories

From: Finn Arne Gangstad <[email-masked]>
Date: Wed, 12 May 2010 00:52:03 +0200

On Mon, May 10, 2010 at 01:30:22PM -0700, Jakub Narebski wrote:
> Finn Arne Gangstad <[email-masked]> writes:
> 
> How this feature relates to `core.safecrfl'?

safecrlf is about checking what you add, it does not concern itself
about what is already in the repository as far as I can tell.

The safecrlf check will only be done if autocrlf converts a file.  For
new files autocrlf is unchanged, and safecrlf will complain or die as
before.  For existing files, you will only be able to get autocrlf to
do anything (and thus do the safecrlf check) if the files are
normalized to LF only in the repo, or if you have set the crlf
attribute on them.

- Finn Arne